import com.uc4.communication.requests.ScheduleMonitor as ScheduleMonitor
import com.uc4.communication.requests.ResetScheduleTask as ResetScheduleTask

def Schedulemonitor(sch_name_runid,myconn):
    # print ("-"* 80)
    sch_list = sch_name_runid.replace("(","=").replace(")","")
    sch_list_split = sch_list.split("=")
    runid = int(sch_list_split[1])
    sch_monitor = ScheduleMonitor(runid)
    myconn.sendRequestAndWait(sch_monitor)
    if sch_monitor.isActive():
        size = sch_monitor.size()
        if size > 0:
            it = sch_monitor.iterator()
            while it.hasNext():
                result=it.next()
                # print (result.getName() +" = " +result.getStatusText() + " , " +result.getStatus() +" , " +str(result.getStatusCode()))
                if str(result.getStatusText()).startswith ("ENDED_TIMEOUT - Start time exceeded") and str(result.getStatusCode()) == "1941":
                    # print ("."*80)
                    print ("Reset task" + "  "+ result.getName())
                    reset_task = ResetScheduleTask(result)
                    myconn.sendRequestAndWait(reset_task)
